diff --git a/old/html/multidic/app/webroot/administration/edit_word.php b/old/html/multidic/app/webroot/administration/edit_word.php
index 7e7e5da..511b691 100644
--- a/old/html/multidic/app/webroot/administration/edit_word.php
+++ b/old/html/multidic/app/webroot/administration/edit_word.php
@@ -1,31 +1,31 @@
 <?php 
 require_once("./administration/word.php");
 $vypis_edit = true;
-if (!Empty($action) && $action == "edit_word") {
+if (!Empty(@$_REQUEST['action']) && @$_REQUEST['action'] == "edit_word") {
   
  // if (Empty($czech)) {
  //   print_hlasku("Česky musíte vyplnit");
  // }
  // else 
- // if (Empty($english)) {
+ // if (Empty(@$_REQUEST['english'])) {
  //   print_hlasku("Anglicky musíte vyplnit");
  // }
  // else 
-  if (Empty($lection)) {
+  if (Empty(@$_REQUEST['lection'])) {
     print_hlasku("Lekci musíte vyplnit");
   }
-  //else if (strtolower($gender) != 'm' && strtolower($gender) != 'f' && !Empty($gender)) {
+  //else if (strtolower(@$_REQUEST['gender']) != 'm' && strtolower(@$_REQUEST['gender']) != 'f' && !Empty(@$_REQUEST['gender'])) {
   //  print_hlasku("Rod musí obsahovat 'm' nebo 'f' nebo zůstat prázdný");
   //}
   else {
-    update_word($czech, $english, $word_category, $verbal_class, $present, $past, $valence,
-                $root, $field, $word_id, $lection, $future, $infinitive, $gender, $vocalized, $nonvocalized,
-                $word_category_foreign, $status_constructus_single, $status_constructus_plural, $single_adj_female,
-                      $plural_adj_female, $conjugation, $imperative, $prefix, $status_constructus_single_female,
-		      $status_constructus_plural_female, $czech_female, $single_female, $plural_female, 
-                      $status_constructus_single_noun_female, $status_constructus_plural_noun_female,
-		      $nonvocalized_female, $nonvocalized_alternative, $vocalized_alternative);
-    
+    update_word(@$_REQUEST['czech'],@$_REQUEST['english'],@$_REQUEST['word_category'],@$_REQUEST['verbal_class'],@$_REQUEST['present'],@$_REQUEST['past'],@$_REQUEST['valence'],@$_REQUEST['root'],
+        @$_REQUEST['field'],@$_REQUEST['language'],@$_REQUEST['user'],@$_REQUEST['source'],@$_REQUEST['lection'], @$_REQUEST['future'], @$_REQUEST['infinitive'], @$_REQUEST['gender'], @$_REQUEST['vocalized'], @$_REQUEST['nonvocalized'],
+        @$_REQUEST['word_category_foreign'], @$_REQUEST['status_constructus_single'], @$_REQUEST['status_constructus_plural'], @$_REQUEST['single_adj_female'],
+        @$_REQUEST['plural_adj_female'], @$_REQUEST['conjugation'], @$_REQUEST['imperative'], @$_REQUEST['prefix'], @$_REQUEST['status_constructus_single_female'],
+        @$_REQUEST['status_constructus_plural_female'], @$_REQUEST['czech_female'], @$_REQUEST['single_female'], @$_REQUEST['plural_female'],
+        @$_REQUEST['status_constructus_single_noun_female'], @$_REQUEST['status_constructus_plural_noun_female'],
+        @$_REQUEST['nonvocalized_female'], @$_REQUEST['nonvocalized_alternative'], @$_REQUEST['vocalized_alternative']);
+
     echo_zpet_do_slovniku();
     $vypis_edit = false;
   }
@@ -34,40 +34,40 @@ if (!Empty($action) && $action == "edit_word") {
 }
 if($vypis_edit){
   
-  $Record = get_word($word_id);
-  $czech         = $Record[1];
-  $english       = $Record[2];
-  $word_category = $Record[3];
-  $verbal_class  = $Record[4];
-  $present       = $Record[5];
-  $past          = $Record[6];
-  $valence       = $Record[9];        
-  $root          = $Record[10];
-  $word_lang     = $Record["language"];
-  $lection       = $Record["lection"];  
-  $future        = $Record["future"];
-  $infinitive    = $Record["infinitive"];
-  $gender        = $Record["gender"];
-  $vocalized     = $Record["vocalized"];
-  $nonvocalized  = $Record["nonvocalized"];
-  $word_category_foreign = $Record['word_category_foreign'];
-  $status_constructus_single = $Record['status_constructus_single'];
-  $status_constructus_plural = $Record['status_constructus_plural'];
-  $single_adj_female = $Record['single_adj_female'];
-  $plural_adj_female = $Record['plural_adj_female'];
-  $conjugation   = $Record['conjugation'];
-  $imperative    = $Record['imperative'];
-  $prefix    = $Record['prefix'];
-  $status_constructus_single_female    = $Record['status_constructus_single_female'];
-  $status_constructus_plural_female    = $Record['status_constructus_plural_female'];
+  $Record = get_word(@$_REQUEST['word_id']);
+  $czech         = $Record['czech'];
+  @$_REQUEST['english']       = $Record[2];
+  @$_REQUEST['word_category'] = $Record[3];
+  @$_REQUEST['verbal_class']  = $Record[4];
+  @$_REQUEST['present']       = $Record[5];
+  @$_REQUEST['past']          = $Record[6];
+  @$_REQUEST['valence']       = $Record[9];        
+  @$_REQUEST['root']          = $Record[10];
+  @$_REQUEST['word_lang']     = $Record["language"];
+  @$_REQUEST['lection']       = $Record["lection"];  
+  @$_REQUEST['future']        = $Record["future"];
+  @$_REQUEST['infinitive']    = $Record["infinitive"];
+  @$_REQUEST['gender']        = $Record["gender"];
+  @$_REQUEST['vocalized']     = $Record["vocalized"];
+  @$_REQUEST['nonvocalized']  = $Record["nonvocalized"];
+  @$_REQUEST['word_category_foreign'] = $Record['word_category_foreign'];
+  @$_REQUEST['status_constructus_single'] = $Record['status_constructus_single'];
+  @$_REQUEST['status_constructus_plural'] = $Record['status_constructus_plural'];
+  @$_REQUEST['single_adj_female'] = $Record['single_adj_female'];
+  @$_REQUEST['plural_adj_female'] = $Record['plural_adj_female'];
+  @$_REQUEST['conjugation']   = $Record['conjugation'];
+  @$_REQUEST['imperative']    = $Record['imperative'];
+  @$_REQUEST['prefix']    = $Record['prefix'];
+  @$_REQUEST['status_constructus_single_female']    = $Record['status_constructus_single_female'];
+  @$_REQUEST['status_constructus_plural_female']    = $Record['status_constructus_plural_female'];
   $czech_female = $Record['czech_female'];
-  $single_female = $Record['single_female'];
-  $plural_female = $Record['plural_female'];
-  $status_constructus_single_noun_female = $Record['status_constructus_single_noun_female'];
-  $status_constructus_plural_noun_female = $Record['status_constructus_plural_noun_female'];
-  $nonvocalized_female = $Record['nonvocalized_female'];
-  $nonvocalized_alternative = $Record['nonvocalized_alternative'];
-  $vocalized_alternative = $Record['vocalized_alternative'];
+  @$_REQUEST['single_female'] = $Record['single_female'];
+  @$_REQUEST['plural_female'] = $Record['plural_female'];
+  @$_REQUEST['status_constructus_single_noun_female'] = $Record['status_constructus_single_noun_female'];
+  @$_REQUEST['status_constructus_plural_noun_female'] = $Record['status_constructus_plural_noun_female'];
+  @$_REQUEST['nonvocalized_female'] = $Record['nonvocalized_female'];
+  @$_REQUEST['nonvocalized_alternative'] = $Record['nonvocalized_alternative'];
+  @$_REQUEST['vocalized_alternative'] = $Record['vocalized_alternative'];
 ?>
 
 <script language="JavaScript">
@@ -112,15 +112,15 @@ if($vypis_edit){
       </tr>
       <tr class="akt">
         <td>česky v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td><input type="text" name="czech_female"  size="50" value="<?php echo $czech_female?>" /></td>
+        <td><input type="text" name="czech_female"  size="50" value="<?php echo @$_REQUEST['czech_female']?>" /></td>
       </tr>
       <tr class="akt">
         <td>anglicky</td>
-        <td><input type="text" name="english"  size="50" value="<?php echo $english?>" /></td>
+        <td><input type="text" name="english"  size="50" value="<?php echo @$_REQUEST['english']?>" /></td>
       </tr>
       <tr class="akt">
         <td>druh slova v češtině</td>
-        <td><input type="text" name="word_category"  size="50" value="<?php echo $word_category?>" /></td>
+        <td><input type="text" name="word_category"  size="50" value="<?php echo @$_REQUEST['word_category']?>" /></td>
       </tr>
       
       <tr class="akt">
@@ -164,125 +164,125 @@ if($vypis_edit){
       
       <tr class="akt">
         <td>druh slova v cizím j.</td>
-        <td><?php if($language == 2): ?>
+        <td><?php if(@$_REQUEST['language'] == 2): ?>
             <select name="word_category_foreign">
-                <option value="" <?php echo (empty($word_category_foreign))? 'selected="selected"' : ""?> >  </option>
-                <option value="שם עצם" <?php echo ($word_category_foreign === "שם עצם")? 'selected="selected"' : ""?> > ש"ע </option>
-                <option value="מילת חיבור" <?php echo ($word_category_foreign === "מילת חיבור")? 'selected="selected"' : ""?> > מ"ח </option>
-                <option value="מילת קריאה" <?php echo ($word_category_foreign === "מילת קריאה")? 'selected="selected"' : ""?> > מ"ק </option>
-                <option value="פועל" <?php echo ($word_category_foreign === "פועל")? 'selected="selected"' : ""?> > פ' </option>
-                <option value="מילת יחס" <?php echo ($word_category_foreign === "מילת יחס")? 'selected="selected"' : ""?> > מ"י </option>
-                <option value="תואר הפועל" <?php echo ($word_category_foreign === "תואר הפועל")? 'selected="selected"' : ""?> > תה"פ </option>
-                <option value="שם מספר" <?php echo ($word_category_foreign === "שם מספר")? 'selected="selected" ' : ""?> > ש"מ </option>
-                <option value="מילת שאלה" <?php echo ($word_category_foreign === "מילת שאלה")? 'selected="selected" ' : ""?> > מ"ש </option>
-                <option value="מילת גוף" <?php echo ($word_category_foreign === "מילת גוף")? 'selected="selected" ' : ""?> > מ"ג </option>
-                <option value="תואר" <?php echo ($word_category_foreign === "תואר")? 'selected="selected" ' : ""?> > ת' </option>
-                <option value="ביטוי" <?php echo ($word_category_foreign === "ביטוי")? 'selected="selected" ' : ""?> >  ביטוי  </option>
+                <option value="" <?php echo (empty(@$_REQUEST['word_category_foreign']))? 'selected="selected"' : ""?> >  </option>
+                <option value="שם עצם" <?php echo (@$_REQUEST['word_category_foreign'] === "שם עצם")? 'selected="selected"' : ""?> > ש"ע </option>
+                <option value="מילת חיבור" <?php echo (@$_REQUEST['word_category_foreign'] === "מילת חיבור")? 'selected="selected"' : ""?> > מ"ח </option>
+                <option value="מילת קריאה" <?php echo (@$_REQUEST['word_category_foreign'] === "מילת קריאה")? 'selected="selected"' : ""?> > מ"ק </option>
+                <option value="פועל" <?php echo (@$_REQUEST['word_category_foreign'] === "פועל")? 'selected="selected"' : ""?> > פ' </option>
+                <option value="מילת יחס" <?php echo (@$_REQUEST['word_category_foreign'] === "מילת יחס")? 'selected="selected"' : ""?> > מ"י </option>
+                <option value="תואר הפועל" <?php echo (@$_REQUEST['word_category_foreign'] === "תואר הפועל")? 'selected="selected"' : ""?> > תה"פ </option>
+                <option value="שם מספר" <?php echo (@$_REQUEST['word_category_foreign'] === "שם מספר")? 'selected="selected" ' : ""?> > ש"מ </option>
+                <option value="מילת שאלה" <?php echo (@$_REQUEST['word_category_foreign'] === "מילת שאלה")? 'selected="selected" ' : ""?> > מ"ש </option>
+                <option value="מילת גוף" <?php echo (@$_REQUEST['word_category_foreign'] === "מילת גוף")? 'selected="selected" ' : ""?> > מ"ג </option>
+                <option value="תואר" <?php echo (@$_REQUEST['word_category_foreign'] === "תואר")? 'selected="selected" ' : ""?> > ת' </option>
+                <option value="ביטוי" <?php echo (@$_REQUEST['word_category_foreign'] === "ביטוי")? 'selected="selected" ' : ""?> >  ביטוי  </option>
                 
             </select>
         <?php else: ?>
-            <input type="text" name="word_category_foreign"  size="50"<?php echo $word_category_foreign ?> />
+            <input type="text" name="word_category_foreign"  size="50"<?php echo @$_REQUEST['word_category_foreign'] ?> />
         <?php endif;?></td>
       </tr>
       
       <tr class="akt">
         <td>slovesná třída</td>
-        <td><input type="text" name="verbal_class"  size="50" value="<?php echo $verbal_class?>" /></td>
+        <td><input type="text" name="verbal_class"  size="50" value="<?php echo @$_REQUEST['verbal_class']?>" /></td>
       </tr>
       <tr class="akt">
         <td>přítomný čas / množné číslo <br />všech podstatných jmen a <br />přídavných jmen mužského rodu</td>
-        <td<?php if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                <input type="text" name="present"  size="29" 
-                      <?php if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                      <?php if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                       onfocus="aktivujKlavesnici('edit_word_form.present')" 
-                      value="<?php echo $present?>" /></td>
+                      value="<?php echo @$_REQUEST['present']?>" /></td>
       </tr>
       <tr class="akt">
         <td>minulý čas / jednotné číslo <br />všech podstatných jmen a <br />přídavných jmen mužského rodu</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="past"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.past')"
-                       value="<?php echo $past?>" /></td>
+                       value="<?php echo @$_REQUEST['past']?>" /></td>
       </tr>
       
       <tr class="akt">
         <td>alternativní vokalizovaný tvar</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="vocalized_alternative"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.vocalized_alternative')"
-                       value="<?php echo $vocalized_alternative?>" /></td>
+                       value="<?php echo @$_REQUEST['vocalized_alternative']?>" /></td>
       </tr>
 
 
       <tr class="akt">
         <td>jednotné číslo podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="single_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.single_female')"
-                       value="<?php echo $single_female?>" /></td>
+                       value="<?php echo @$_REQUEST['single_female']?>" /></td>
       </tr>
       <tr class="akt">
         <td>množné číslo podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="plural_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.plural_female')"
-                       value="<?php echo $plural_female?>" /></td>
+                       value="<?php echo @$_REQUEST['plural_female']?>" /></td>
       </tr>
       
       
       <tr class="akt">
         <td>status constructus číslovek, jednotného čísla podstatných jmen a jednotného čísla přídavných jmen mužského rodu</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="status_constructus_single"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.status_constructus_single')"
-                       value="<?php echo $status_constructus_single?>" /></td>
+                       value="<?php echo @$_REQUEST['status_constructus_single']?>" /></td>
       </tr>
       <tr class="akt">
         <td>status constructus množného čísla podstatných jmen a přídavných jmen mužského rodu</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="status_constructus_plural"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.status_constructus_plural')"
-                       value="<?php echo $status_constructus_plural?>" /></td>
+                       value="<?php echo @$_REQUEST['status_constructus_plural']?>" /></td>
       </tr>
       
        <tr class="akt">
         <td>status constructus jednotného čísla přídavných jmen ženského rodu</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="status_constructus_single_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.status_constructus_single_female')"
-                       value="<?php echo $status_constructus_single_female?>" /></td>
+                       value="<?php echo @$_REQUEST['status_constructus_single_female']?>" /></td>
       </tr>
       <tr class="akt">
         <td>status constructus množného čísla přídavných jmen ženského rodu</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="status_constructus_plural_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.status_constructus_plural_female')"
-                       value="<?php echo $status_constructus_plural_female?>" /></td>
+                       value="<?php echo @$_REQUEST['status_constructus_plural_female']?>" /></td>
       </tr>
       
       <tr class="akt">
         <td>status constructus jednotného čísla podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="status_constructus_single_noun_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.status_constructus_single_noun_female')"
-                       value="<?php echo $status_constructus_single_noun_female?>" /></td>
+                       value="<?php echo @$_REQUEST['status_constructus_single_noun_female']?>" /></td>
       </tr>
       <tr class="akt">
         <td>status constructus množného čísla podstatných jmen v ženském rodě (pouze u přechylovatelných podstatných jmen)</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="status_constructus_plural_noun_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.status_constructus_plural_noun_female')"
-                       value="<?php echo $status_constructus_plural_noun_female?>" /></td>
+                       value="<?php echo @$_REQUEST['status_constructus_plural_noun_female']?>" /></td>
       </tr>
       
 
@@ -291,118 +291,118 @@ if($vypis_edit){
 
       <tr class="akt">
         <td>jednotné číslo přídavných <br /> jmen ženského rodu</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="single_adj_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.single_adj_female')"
-                       value="<?php echo $single_adj_female?>" /></td>
+                       value="<?php echo @$_REQUEST['single_adj_female']?>" /></td>
       </tr>
       <tr class="akt">
         <td>množné číslo přídavných <br /> jmen ženského rodu</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="plural_adj_female"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.plural_adj_female')"
-                       value="<?php echo $plural_adj_female?>" /></td>
+                       value="<?php echo @$_REQUEST['plural_adj_female']?>" /></td>
       </tr>
       
       
       
       <tr class="akt">
         <td>budoucí čas</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="future"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.future')"
-                       value="<?php echo $future?>" /></td>
+                       value="<?php echo @$_REQUEST['future']?>" /></td>
       </tr>
       <tr class="akt">
         <td>infinitive</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="infinitive"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.infinitive')"
-                       value="<?php echo $infinitive?>" /></td>
+                       value="<?php echo @$_REQUEST['infinitive']?>" /></td>
       </tr>
       <tr class="akt">
         <td>rekce</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
                 <input type="text" name="valence"  size="29" 
-                       <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+                       <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                        onfocus="aktivujKlavesnici('edit_word_form.valence')"
-                       value="<?php echo $valence?>" /></td>
+                       value="<?php echo @$_REQUEST['valence']?>" /></td>
       </tr>
       
       <tr class="akt">
         <td>konjugace</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                name="conjugation"  
                size="29"
                onfocus="aktivujKlavesnici('edit_word_form.conjugation')" 
-               value="<?php echo $conjugation?>" /></td>
+               value="<?php echo @$_REQUEST['conjugation']?>" /></td>
       </tr>
       
       <tr class="akt">
         <td>imperativ</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                name="imperative"  
                size="29"
                onfocus="aktivujKlavesnici('edit_word_form.imperative')" 
-               value="<?php echo $imperative?>" /></td>
+               value="<?php echo @$_REQUEST['imperative']?>" /></td>
       </tr>
       
       
             <tr class="akt">
         <td>vokalizovaný tvar</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                name="vocalized"  
                size="29"
                onfocus="aktivujKlavesnici('edit_word_form.vocalized')" 
-               value="<?php echo $vocalized?>" 
+               value="<?php echo @$_REQUEST['vocalized']?>" 
                disabled="disabled" /></td>
       </tr>
       
       <tr class="akt">
         <td>nevokalizovaný tvar</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                name="nonvocalized"  
                size="29"
                onfocus="aktivujKlavesnici('edit_word_form.nonvocalized')" 
-               value="<?php echo $nonvocalized?>" /></td>
+               value="<?php echo @$_REQUEST['nonvocalized']?>" /></td>
       </tr>
 
       <tr class="akt">
         <td>nevokalizovaný tvar v ženském rodě – pouze u přechylovatelných</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                name="nonvocalized_female"  
                size="29"
                onfocus="aktivujKlavesnici('edit_word_form.nonvocalized_female')" 
-               value="<?php echo $nonvocalized_female?>" /></td>
+               value="<?php echo @$_REQUEST['nonvocalized_female']?>" /></td>
       </tr>
 
       <tr class="akt">
         <td>alternativní nevokalizovaný tvar</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                name="nonvocalized_alternative"  
                size="29"
                onfocus="aktivujKlavesnici('edit_word_form.nonvocalized_alternative')" 
-               value="<?php echo $nonvocalized_alternative?>" /></td>
+               value="<?php echo @$_REQUEST['nonvocalized_alternative']?>" /></td>
       </tr>
       
             <tr class="akt">
         <td>předložka se zájmenným sufixem (ve všech možných tvarech)</td>
-        <td<?php  if ($word_lang == 1 || $word_lang == 2) echo " dir=\"rtl\"" ?>>
-        <input type="text" <?php  if ($word_lang == 1 || $word_lang == 2) echo "class=\"arabic\"\n" ?>
+        <td<?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo " dir=\"rtl\"" ?>>
+        <input type="text" <?php  if (@$_REQUEST['word_lang'] == 1 || @$_REQUEST['word_lang'] == 2) echo "class=\"arabic\"\n" ?>
                name="prefix"  
                size="29"
                onfocus="aktivujKlavesnici('edit_word_form.prefix')" 
-               value="<?php echo $prefix?>" /></td>
+               value="<?php echo @$_REQUEST['prefix']?>" /></td>
       </tr>
       
         
